//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Tecan.Sila2.Interop.Server.MetadataProvider
{
    
    
    /// <summary>
    /// This feature provides SiLA Client Metadata to the "Metadata Consumer Test" feature.
    /// </summary>
    [Tecan.Sila2.SilaFeatureAttribute(true, "test")]
    [Tecan.Sila2.SilaIdentifierAttribute("MetadataProvider")]
    [Tecan.Sila2.SilaDisplayNameAttribute("Metadata Provider")]
    public partial interface IMetadataProvider
    {
    }
    
    /// <summary>
    /// The class TwoIntegersMetadata reflects an anonymous type from the feature definition.
    /// </summary>
    [Tecan.Sila2.SilaDisplayNameAttribute("TwoIntegersMetadata")]
    public struct TwoIntegersMetadata
    {
        
        private long _firstInteger;
        
        private long _secondInteger;
        
        /// <summary>
        /// Initializes a new instance
        /// </summary>
        public TwoIntegersMetadata(long firstInteger, long secondInteger)
        {
            _firstInteger = firstInteger;
            _secondInteger = secondInteger;
        }
        
        /// <summary>
        /// The first integer
        /// </summary>
        public long FirstInteger
        {
            get
            {
                return _firstInteger;
            }
        }
        
        /// <summary>
        /// The second integer
        /// </summary>
        public long SecondInteger
        {
            get
            {
                return _secondInteger;
            }
        }
    }
}
